{% load static %}
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="apple-touch-icon" sizes="180x180" href="/static/img/icon/apple-touch-icon.png">
        <link rel="icon" type="image/png" sizes="32x32" href="/static/img/icon/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="/static/img/icon/favicon-16x16.png">
        <link rel="manifest" href="/static/img/icon/site.webmanifest">
        <link rel="mask-icon" href="/static/img/icon/safari-pinned-tab.svg" color="#5bbad5">
        <meta name="msapplication-TileColor" content="#da532c">
        <meta name="theme-color" content="#ffffff">

        <!-- CSS -->
        <link href="{% static 'css/fontawesome.min.css' %}" rel="stylesheet">
        <link href="{% static 'css/regular.min.css' %}" rel="stylesheet">
        <link href="{% static 'css/solid.min.css' %}" rel="stylesheet">
        <link href="{% static 'css/corpora.css' %}" rel="stylesheet">
        {% block css %}
        {% endblock %}

        <title>Corpora</title>
    </head>
    <body>
        {% block modals %}
        {% endblock %}

        <div id="main-container" class="container-fluid d-flex flex-column {% if popup %}p-0 m-0{% endif %}">
            {% if not popup %}
            <div class="row">
                <div class="col-12">
                    <div class="brand d-flex align-items-center justify-content-between">
                        {% if page_title %}
                            <h1 id="page-title">{{ page_title }}</h1>
                        {% else %}
                            <a href="/"><img src="{% static 'img/logo.png' %}" class="logo" /></a>
                        {% endif %}
                        {% block top_bar %}{% endblock %}
                        <span>
                            {% if response.scholar %}
                                Hello, {{ response.scholar.fname }}!
                                <a href="/scholar" class="btn btn-primary ml-1 mr-1">My Account</a>
                                <a href="/scholar?logout=y" class="btn btn-secondary">Logout</a>
                            {% else %}
                                <a href="/scholar" class="btn btn-primary">Login</a>
                            {% endif %}
                        </span>
                    </div>
                </div>
            </div>
            {% elif page_title %}
                <div class="row mb-3"><div class="col-12"><h3 id="page-title">{{ page_title }}</h3></div></div>
            {% endif %}

        {% if response.messages or response.errors %}
            <div class="row mt-4">
                {% if response.messages %}
                    {% for message in response.messages %}
                        <div class="col alert alert-info" role="alert">
                            {{ message|safe }}
                        </div>
                    {% endfor %}
                {% endif %}

                {% if response.errors %}
                    {% for error in response.errors %}
                        <div class="col alert alert-danger" role="alert">
                            {{ error|safe }}
                        </div>
                    {% endfor %}
                {% endif %}
            </div>
        {% endif %}

        {% block main %}
        {% endblock %}

            {% if not popup %}
            <div class="flex-grow-1 footer mt-4">
                &nbsp;
            </div>
            {% endif %}

            <div id="breadcrumb" class="d-none rounded-bottom">
                <div id="breadcrumb-inner"></div>
            </div>

            <div id="loading-overlay" class="d-flex align-items-center justify-content-center">
                <img src="{% static 'img/spinner.png' %}" class="loading-spinner w-25 h-auto" />
            </div>
        </div>

        <script src="{% static 'js/jquery-3.3.1.min.js' %}"></script>
        <script src="{% static 'js/popper.min.js' %}"></script>
        <script src="{% static 'js/bootstrap.min.js' %}"></script>
        <script src="{% static 'js/corpora.js' %}?version=1"></script>
        <script type="application/javascript">
            var corpora = null;
            var main_container = $('#main-container');

            function hide_loading_overlay() {
                let loading_overlay = $('#loading-overlay');
                loading_overlay.fadeOut();
                loading_overlay.addClass('d-none');
                loading_overlay.removeClass('d-flex');
            }

            function show_loading_overlay() {
                let loading_overlay = $('#loading-overlay');
                loading_overlay.addClass('d-flex');
                loading_overlay.removeClass('d-none');
            }

            function add_breadcrumb(label=null, url=null) {
                let breadcrumb_inner_div = $('#breadcrumb-inner');
                if (breadcrumb_inner_div.html()) {
                    breadcrumb_inner_div.append(' <i class="fas fa-chevron-right"></i> ');
                } else {
                    $('#breadcrumb').removeClass('d-none');
                    breadcrumb_inner_div.append(`<a href="/"><img src="/static/img/logo.png" class="logo-small"></a>`);
                    if (label) breadcrumb_inner_div.append(` <i class="fas fa-chevron-right"></i> `);
                }

                breadcrumb_inner_div.append(`<a href="${url}">${label}</a>`);
            }

            function resolve(path, obj=self, separator='.') {
                let properties = Array.isArray(path) ? path : path.split(separator);
                return properties.reduce((prev, curr) => prev && prev[curr], obj);
            }

            function _id(obj) {
                if (obj.hasOwnProperty("_id") && obj['_id'].hasOwnProperty("$oid")) {
                    return obj['_id']['$oid'];
                }
                else { return ""; }
            }

            function parseMongoDate(utcMilliseconds) {
                return new Date(utcMilliseconds).toLocaleDateString();
            }

            $(document).ready(function() {
                corpora = new Corpora({'csrf_token': "{{ csrf_token }}"});

                let set_min_height = {% if popup %}false{% else %}true{% endif %};
                if (window.location !== window.parent.location) set_min_height = false;
                if (set_min_height) {
                    main_container.css('min-height', `${window.innerHeight}px`);
                    $(window).resize(function () {
                        main_container.css('min-height', `${window.innerHeight}px`);
                    });
                }
            });
        </script>

        {% block js %}
        {% endblock %}
    </body>
</html>